İçeriğe geç

Bagel

Entegre et

Model kimliği bagel
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bagel?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu istek: $0,10 100 API kredisi Bu sayfada çalıştır

API anahtarı al
ByteDance Metinden Görsele #text-to-image#multimodal

İsteğe bağlı akıl yürütme adımıyla çok modlu 7B model kullanarak metinden görüntü oluşturma

ByteDance · Görsel

İlk sonucunuz burada görünecek

Aşağıda bir istek oluşturun ve API anahtarınızla çalıştırın. Çıktılar depolamamıza kopyalanır ve sonsuza kadar veya ücretsiz olarak 7 gün boyunca saklanır.

İstek oluştur

Kontroller model şemasından oluşturulur. Değerleri değiştirdikçe kod ve fiyat güncellenir.

•gerekli

Görsel üretimine yön veren istem.

Gelişmiş seed · use_thought · enable_safety_checker

Üretim için seed değeri.

POST /run/bagel?wait=20 fiyat → $0,10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bagel?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Bu isteği çalıştır

Anahtarınız bu tarayıcıda kalır: yalnızca Doitong API'ye gönderilir ve yalnızca Hatırla seçeneğini işaretlerseniz localStorage'a kaydedilir. API anahtarı al

Bagel hakkında

Metin `prompt` girdisinden görseller üretir. `use_thought` değerini true olarak ayarlamak, modelin önce token üzerinden akıl yürütmesini sağlar; bu, sonuçları iyileştirebilir. Tekrarlanabilir çıktı için `seed` sağlanabilir. Yanıt; görselleri, kullanılan istemi, tohumu ve zamanlama verilerini döndürür.

Parametreler

AdTür Varsayılanİzin verilen Açıklama
promptgerekli
Türstring
Görsel üretimine yön veren istem.
seedisteğe bağlı
Türinteger
Üretim için seed değeri.
use_thoughtisteğe bağlı
Türboolean
Varsayılanfalse
Bunu true olarak ayarlayarak modelin üretim sırasında düşünce token'larını kullanarak "think" etmesine izin verin; bu, çıktı kalitesini iyileştirebilir.
enable_safety_checkeristeğe bağlı
Türboolean
Varsayılantrue
Güvenlik denetleyicisi etkinleştirme; true denetimi etkinleştirir.
gerekli

Çıktı

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bagel",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 100,
    "usd": "0.10",
    "charged": 100,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Dosyalarınız, seçiminizHer outputs[].url, depolamamızdaki bir kopyadır: sonsuza kadar (GB-ay başına ücretli) veya ücretsiz olarak 7 gün boyunca, hesap ayarınızla ya da ?storage= ile saklanır.
Her modelde aynı yapıGörüntüler, video ve ses için type, url, content_type, width, height ve duration aynıdır. output, modelin kendi sonuç nesnesidir.
Çıktı alanları
images
array of object {url, content_type, file_name, file_size, width, height}Model tarafından oluşturulan görseller.
timings
object
seed
integerGörsel üretimi seed'i; girdi seed sağlamadıysa rastgele seçilen değeri içerir, aksi durumda sağlanan değeri tekrarlar.
has_nsfw_concepts
array of booleanÜretilen görsellerde NSFW kavramlarının bulunup bulunmadığını belirtir.
prompt
stringGörsel üretimi sırasında kullanılan istem.

Daha fazla model: Metinden Görsele

AI aracıları için: bu sayfanın Markdown biçimi şurada: https://doitong.com/tr/developers/models/bagel.md. Tüm modeller ve kılavuzlar: https://doitong.com/developers/llms.txt